"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var Backdrop =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2["default"])(Backdrop, _Component);

  function Backdrop() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2["default"])(this, Backdrop);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2["default"])(this, (_getPrototypeOf2 = (0, _getPrototypeOf3["default"])(Backdrop)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "onCancel", function (e) {
      /* istanbul ignore else */
      if (e && e.preventDefault) {
        e.preventDefault();
      }

      var _this$props = _this.props,
          isStatic = _this$props.isStatic,
          onCancel = _this$props.onCancel;

      if (!isStatic) {
        onCancel(e, null);
      }
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "onKeyPress", function (e) {
      var keyCode = e.keyCode;

      if (keyCode === 13) {
        _this.onCancel(e);
      }
    });
    return _this;
  }

  (0, _createClass2["default"])(Backdrop, [{
    key: "render",
    value: function render() {
      // remove warning for unused vars / missing proptype definition

      /* eslint no-unused-vars: 0, react/prop-types: 0 */
      var _this$props2 = this.props,
          isStatic = _this$props2.isStatic,
          onCancel = _this$props2.onCancel,
          rest = (0, _objectWithoutProperties2["default"])(_this$props2, ["isStatic", "onCancel"]);
      return _react["default"].createElement("div", (0, _extends2["default"])({}, rest, {
        onClick: this.onCancel,
        role: "button",
        tabIndex: -1,
        onKeyPress: this.onKeyPress
      }));
    }
  }]);
  return Backdrop;
}(_react.Component);

(0, _defineProperty2["default"])(Backdrop, "propTypes", {
  isStatic: _propTypes["default"].bool,
  onCancel: _propTypes["default"].func,
  className: _propTypes["default"].string
});
(0, _defineProperty2["default"])(Backdrop, "defaultProps", {
  className: 'tg-modal-backdrop',
  isStatic: false,
  onCancel: null
});
var _default = Backdrop;
exports["default"] = _default;