"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var ModalDialog =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2["default"])(ModalDialog, _Component);

  function ModalDialog() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2["default"])(this, ModalDialog);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2["default"])(this, (_getPrototypeOf2 = (0, _getPrototypeOf3["default"])(ModalDialog)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "onCancel", function (e) {
      /* istanbul ignore else */
      if (e && e.preventDefault) {
        e.preventDefault();
      }

      var onCancel = _this.props.onCancel;
      onCancel(e, null);
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "stopPropagate", function (e) {
      e.stopPropagation();
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "onKeyPress", function (e) {
      var keyCode = e.keyCode;

      if (keyCode === 13) {
        _this.onCancel(e);
      }
    });
    return _this;
  }

  (0, _createClass2["default"])(ModalDialog, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          children = _this$props.children,
          isBasic = _this$props.isBasic,
          className = _this$props.className,
          modalClassName = _this$props.modalClassName,
          nodeRef = _this$props.nodeRef;
      return _react["default"].createElement("div", {
        className: "tg-modal".concat(isBasic ? ' tg-modal-basic' : '', " ").concat(modalClassName),
        onClick: this.onCancel,
        onKeyPress: this.onKeyPress,
        tabIndex: -1,
        ref: nodeRef,
        role: "button"
      }, _react["default"].createElement("div", {
        className: className,
        role: "dialog"
      }, _react["default"].createElement("div", {
        className: "tg-modal-content",
        onClick: this.stopPropagate,
        role: "presentation"
      }, children)));
    }
  }]);
  return ModalDialog;
}(_react.Component);

(0, _defineProperty2["default"])(ModalDialog, "propTypes", {
  children: _propTypes["default"].node,
  className: _propTypes["default"].string,
  modalClassName: _propTypes["default"].string,
  onCancel: _propTypes["default"].func.isRequired,
  nodeRef: _propTypes["default"].object,
  // eslint-disable-line react/forbid-prop-types
  isBasic: _propTypes["default"].bool
});
(0, _defineProperty2["default"])(ModalDialog, "defaultProps", {
  children: null,
  nodeRef: null,
  className: 'tg-modal-dialog',
  isBasic: false,
  modalClassName: ''
});
var _default = ModalDialog;
exports["default"] = _default;