"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var ModalHeader =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2["default"])(ModalHeader, _Component);

  function ModalHeader(props) {
    var _this;

    (0, _classCallCheck2["default"])(this, ModalHeader);
    _this = (0, _possibleConstructorReturn2["default"])(this, (0, _getPrototypeOf2["default"])(ModalHeader).call(this, props)); // warn if something is wrong with props

    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "onCancel", function (e) {
      /* istanbul ignore else */
      if (e && e.preventDefault) {
        e.preventDefault();
      }

      var _this$props = _this.props,
          isStatic = _this$props.isStatic,
          onCancel = _this$props.onCancel;

      if (!isStatic && onCancel) {
        onCancel(e, null);
      }
    });

    if (props.addClose && !props.onCancel) {
      // eslint-disable-next-line no-console
      console.warn("".concat(ModalHeader.displayName, ": addClose is defined but onCancel is missing!"));
    }

    return _this;
  }

  (0, _createClass2["default"])(ModalHeader, [{
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          children = _this$props2.children,
          addClose = _this$props2.addClose,
          className = _this$props2.className;

      if (typeof children !== 'string') {
        return children;
      }

      var closeBtn = addClose ? _react["default"].createElement("button", {
        className: "tg-modal-close",
        "aria-label": "Close",
        type: "button",
        onClick: this.onCancel
      }, _react["default"].createElement("span", {
        "aria-hidden": "true"
      }, "\xD7")) : null;
      return _react["default"].createElement("div", {
        className: className
      }, _react["default"].createElement("h1", {
        className: "tg-modal-title"
      }, children), closeBtn);
    }
  }]);
  return ModalHeader;
}(_react.Component);

(0, _defineProperty2["default"])(ModalHeader, "displayName", 'Modal.Header');
(0, _defineProperty2["default"])(ModalHeader, "propTypes", {
  children: _propTypes["default"].node,
  className: _propTypes["default"].string,
  isStatic: _propTypes["default"].bool,
  addClose: _propTypes["default"].bool,
  onCancel: _propTypes["default"].func
});
(0, _defineProperty2["default"])(ModalHeader, "defaultProps", {
  addClose: true,
  children: null,
  className: 'tg-modal-header',
  isStatic: false,
  onCancel: null
});
var _default = ModalHeader;
exports["default"] = _default;